# ManifestExtension

class asdf.extension.ManifestExtension(manifest, *, legacy_class_names=None, converters=None, compressors=None)

  Bases: `asdf.extension._extension.Extension`

  Extension implementation that reads the extension URI, ASDF Standard requirement, and tag list from a manifest document.

  Parameters
    manifest dict

      Parsed manifest.

    converters iterable of asdf.extension.Converter, optional

      Converter instances for the tags and Python types supported by this extension.

    compressors iterable of asdf.extension.Compressor, optional

      Compressor instances to support additional binary block compression options.

    legacy_class_names iterable of str, optional

      Fully-qualified class names used by older versions of this extension.

  Attributes Summary

  `asdf_standard_requirement` | Get the ASDF Standard version requirement for this extension.
  `compressors` | Get the `asdf.extension.Compressor` instances for compression schemes supported by this extension.
  `converters` | Get the `asdf.extension.Converter` instances for tags and Python types supported by this extension.
  `extension_uri` | Get the URI of the extension to the ASDF Standard implemented by this class.
  `legacy_class_names` | Get the set of fully-qualified class names used by older versions of this extension.
  `tags` | Get the YAML tags supported by this extension.

  Methods Summary

  `from_uri`(manifest_uri, **kwargs) | Construct the extension using the manifest with the specified URI.

  Attributes Documentation

  asdf_standard_requirement
  compressors
  converters
  extension_uri
  legacy_class_names
  tags

  Methods Documentation

  classmethod from_uri(manifest_uri, **kwargs)

    Construct the extension using the manifest with the specified URI. The manifest document must be registered with ASDF’s resource manager.

    Parameters
      manifest_uri str

        Manifest URI.

      See the class docstring for details on keyword parameters.